#!/usr/bin/env python3
#
# GlobalChem - Drugs from Snake Venom
#
# ------------------------------------

class DrugsFromSnakeVenom(object):

    def __init__(self):

        self.name = 'drugs_from_snake_venom'

    @staticmethod
    def get_smiles():

        smiles = {
            'ziconotide': 'CC1C(=O)NC(C(=O)NC2CSSCC3C(=O)NC(C(=O)NC(C(=O)NCC(=O)NC(C(=O)NC(CSSCC(C(=O)NC(CSSCC(C(=O)NC(C(=O)NCC(=O)NC(C(=O)NCC(=O)N1)CCCCN)CCCCN)N)C(=O)NC(C(=O)NCC(=O)NC(C(=O)N3)CO)C(C)O)NC(=O)C(NC(=O)C(NC(=O)C(NC(=O)C(NC(=O)C(NC(=O)C(NC2=O)CO)CCCNC(=N)N)CC(C)C)CCSC)CC4=CC=C(C=C4)O)CC(=O)O)C(=O)N)CCCCN)CO)CCCNC(=N)N)CCCCN',
            'captopril': 'CC(CS)C(=O)N1CCCC1C(=O)O',
            'tirofiban': 'CCCCS(=O)(=O)NC(CC1=CC=C(C=C1)OCCCCC2CCNCC2)C(=O)O',
            'eptifibatide': 'C1CC2C(=O)NC(CSSCCC(=O)NC(C(=O)NCC(=O)NC(C(=O)NC(C(=O)N2C1)CC3=CNC4=CC=CC=C43)CC(=O)O)CCCCN=C(N)N)C(=O)N',
            'batroxobin': 'NC(CCSC)C(NC(C(C)C)C(NC(CC(C)C)C(NC(C(CC)([H])C)C(NC(CCCCNC(N)=N)C(NC(C(C)C)C(NC(C(CC)([H])C)C(NC(C)C(NC(CC(N)=O)C(NC(CC(C)C)C(NC(CC(C)C)C(NC(C(CC)([H])C)C(NC(CC(C)C)C(NC(CCC(N)=O)C(NC(C(C)C)C(NC(CO)C(NC(CC1=CC=C(O)C=C1)C(NC(C)C(NC(CCC(N)=O)C(NC(CCCCN)C(NC(CO)C(NC(CO)C(NC(CCC(O)=O)C(NC(CC(C)C)C(NC(C(C)C)C(NC(C(CC)([H])C)C(NC([H])C(NC([H])C(NC(CC(O)=O)C(NC(CCC(O)=O)C(NC(CS)C(NC(CC(O)=O)C(NC(C(CC)([H])C)C(NC(CC(N)=O)C(NC(CCC(O)=O)C(NC(CC1=CNC=N1)C(NC(C2CCCN2)C(NC(CC1=CC=CC=C1)C(NC(CC(C)C)C(NC(C)C(NC(CC1=CC=CC=C1)C(NC(CCSC)C(NC(CC1=CC=C(O)C=C1)C(NC(CC1=CC=C(O)C=C1)C(NC(CO)C(NC(C2CCCN2)C(NC(CCCCNC(N)=N)C(NC(CC1=CC=C(O)C=C1)C(NC(CC1=CC=CC=C1)C(NC(CS)C(NC([H])C(NC(CCSC)C(NC(C(C)([H])O)C(NC(CC(C)C)C(NC(C(CC)([H])C)C(NC(CC(N)=O)C(NC(CCC(N)=O)C(NC(CCC(O)=O)C(NC(CCC1=CNC2=C1C=CC=C2)C(NC(C(C)C)C(NC(CC(C)C)C(NC(C(C)([H])O)C(NC(C)C(NC(C)C(NC(CC1=CNC=N1)C(NC(CS)C(NC(CC(N)=O)C(NC(CCCCNC(N)=N)C(NC(CCCCNC(N)=N)C(NC(CC1=CC=CC=C1)C(NC(CCSC)C(NC(CCCCNC(N)=N)C(NC(C(CC)([H])C)C(NC(CC1=CNC=N1)C(NC(CC(C)C)C(NC([H])C(NC(CCCCN)C(NC(CC1=CNC=N1)C(NC(C)C(NC([H])C(NC(CO)C(NC(C(C)C)C(NC(C)C(NC(CC(N)=O)C(NC(CC1=CC=C(O)C=C1)C(NC(CC(O)=O)C(NC(CCC(O)=O)C(NC(C(C)C)C(NC(C(C)C)C(NC(CCCCNC(N)=N)C(NC(CC1=CC=C(O)C=C1)C(NC(C2CCCN2)C(NC(CCCCN)C(NC(CCC(O)=O)C(NC(CCCCN)C(NC(CC1=CC=CC=C1)C(NC(C(CC)([H])C)C(NC(CS)C(NC(C2CCCN2)C(NC(CC(N)=O)C(NC(CCCCN)C(NC(CCCCN)C(NC(CCCCN)C(NC(CC(N)=O)C(NC(C(C)C)C(NC(C(CC)([H])C)C(NC(C(C)([H])O)C(NC(CC(O)=O)C(NC(CCCCN)C(NC(CC(O)=O)C(NC(C(CC)([H])C)C(NC(CCSC)C(NC(CC(C)C)C(NC(C(CC)([H])C)C(NC(CCCCNC(N)=N)C(NC(CC(C)C)C(NC(CC(O)=O)C(NC(CCCCNC(N)=N)C(NC(C2CCCN2)C(NC(C(C)C)C(NC(CCCCN)C(NC(CC(N)=O)C(NC(CO)C(NC(CCC(O)=O)C(NC(CC1=CNC=N1)C(NC(C(CC)([H])C)C(NC(C)C(NC(C2CCCN2)C(NC(CC(C)C)C(NC(CO)C(NC(CC(C)C)C(NC(C2CCCN2)C(NC(CO)C(NC(CC(N)=O)C(NC(C2CCCN2)C(NC(C2CCCN2)C(NC(CO)C(NC(C(C)C)C(NC([H])C(NC(CO)C(NC(C(C)C)C(NC(CS)C(NC(CCCCNC(N)=N)C(NC(C(CC)([H])C)C(NC(CCSC)C(NC([H])C(NC(CCC1=CNC2=C1C=CC=C2)C(NC([H])C(NC(C)C(NC(C(CC)([H])C)C(NC(C(C)([H])O)C(NC(C(C)([H])O)C(NC(CO)C(NC(CCC(O)=O)C(NC(CC(O)=O)C(NC(C(C)([H])O)C(NC(CC1=CC=C(O)C=C1)C(NC(C2CCCN2)C(NC(CC(O)=O)C(NC(C(C)C)C(NC(C2CCCN2)C(NC(CC1=CNC=N1)C(NC(CS)C(NC(C)C(NC(CC(N)=O)C(NC(C(CC)([H])C)C(NC(CC(N)=O)C(NC(CC(C)C)C(NC(CC1=CC=CC=C1)C(NC(CC(N)=O)C(NC(CC(N)=O)C(NC(C(C)([H])O)C(NC(C(C)C)C(NC(CS)C(NC(CCCCNC(N)=N)C(NC(CCC(O)=O)C(NC(C)C(NC(CC1=CC=C(O)C=C1)C(NC(CC(N)=O)C(NC([H])C(NC(CC(C)C)C(NC(C2CCCN2)C(NC(C)C(NC(CCCCN)C(NC(C(C)([H])O)C(NC(CC(C)C)C(NC(CS)C(NC(C)C(NC([H])C(NC(C(C)C)C(NC(CC(C)C)C(NC(CCC(N)=O)C(NC([H])C(NC([H])C(NC(C(CC)([H])C)C(NC(CC(O)=O)C(NC(C(C)([H])O)C(NC(CS)C(NC([H])C(NC([H])C(NC(CC(O)=O)C(NC(CO)C(NC([H])C(NC([H])C(NC(C2CCCN2)C(NC(CC(C)C)C(NC(C(CC)([H])C)C(NC(CS)C(NC(CC(N)=O)C(NC([H])C(NC(CCC(N)=O)C(NC(CC1=CC=CC=C1)C(NC(CCC(N)=O)C(NC([H])C(NC(C(CC)([H])C)C(NC(CC(C)C)C(NC(CO)C(NC(CCC1=CNC2=C1C=CC=C2)C(NC([H])C(NC(CO)C(NC(CC(O)=O)C(NC(C2CCCN2)C(NC(CS)C(NC(C)C(NC(CCC(O)=O)C(NC(C2CCCN2)C(NC(CCCCNC(N)=N)C(NC(CCCCN)C(NC(C2CCCN2)C(NC(C)C(NC(CC1=CC=CC=C1)C(NC(CC1=CC=C(O)C=C1)C(NC(C(C)([H])O)C(NC(CCCCN)C(NC(C(C)C)C(NC(CC1=CC=CC=C1)C(NC(CC(O)=O)C(NC(CC1=CC=C(O)C=C1)C(NC(CC(C)C)C(NC(C2CCCN2)C(NC(CCC1=CNC2=C1C=CC=C2)C(NC(C(CC)([H])C)C(NC(CCC(N)=O)C(NC(CO)C(NC(C(CC)([H])C)C(NC(C(CC)([H])C)C(NC(C)C(NC([H])C(NC(CC(N)=O)C(NC(CCCCN)C(NC(C(C)([H])O)C(NC(C)C(NC(C(C)([H])O)C(NC(CS)C(NC(C2CCCN2)C(NCC(O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O',
            'hemocoagulase': 'NC(CC(O)=O)C(NC(CS)C(NC(CO)C(NC(CO)C(NC([H])C(NC(CCC1=CNC2=C1C=CC=C2)C(NC(CO)C(NC(CO)C(NC(CC1=CC=C(O)C=C1)C(NC(CCC(O)=O)C(NC([H])C(NC(CC1=CNC=N1)C(NC(CS)C(NC(CC1=CC=C(O)C=C1)C(NC(CCCCN)C(NC(C(C)C)C(NC(CC1=CC=CC=C1)C(NC(CCCCN)C(NC(CCC(N)=O)C(NC(CO)C(NC(CCCCN)C(NC(C(C)([H])O)C(NC(CCC1=CNC2=C1C=CC=C2)C(NC(C)C(NC(CC(O)=O)C(NC(C)C(NC(CCC(O)=O)C(NC(CO)C(NC(CC1=CC=CC=C1)C(NC(CS)C(NC(C(C)([H])O)C(NC(CCCCN)C(NC(CCC(N)=O)C(NC(C(C)C)C(NC(CC(N)=O)C(NC([H])C(NC([H])C(NC(CC1=CNC=N1)C(NC(CC(C)C)C(NC(C(C)C)C(NC(CO)C(NC(CC(C)C)C(NC(CCC(O)=O)C(NC(CO)C(NC(CO)C(NC([H])C(NC(CCC(O)=O)C(NC(C)C(NC(CC(O)=O)C(NC(CC1=CC=CC=C1)C(NC(C(C)C)C(NC([H])C(NC(CCC(N)=O)C(NC(CC(C)C)C(NC(CC(C)C)C(NC(C)C(NC(CCC(N)=O)C(NC(CCCCN)C(NC(CC(C)C)C(NC(CCCCN)C(NC(CO)C(NC(C)C(NC(CCCCN)C(NC(CC(C)C)C(NC(CC1=CNC=N1)C(NC(C(C)C)C(NC(CCC1=CNC2=C1C=CC=C2)C(NC(CC(C)C)C(NC([H])C(NC(CC(C)C)C(NC(CCCCNC(N)=N)C(NC(C)C(NC(CCC(N)=O)C(NC(CC(N)=O)C(NC(CCCCN)C(NC(CCC(O)=O)C(NC(CCCCN)C(NC(CCC(N)=O)C(NC(CS)C(NC(CO)C(NC(CC(C)C)C(NC(CCC(N)=O)C(NC(CCC1=CNC2=C1C=CC=C2)C(NC(CO)C(NC(CC(O)=O)C(NC([H])C(NC(CO)C(NC(CO)C(NC(CC(C)C)C(NC(CO)C(NC(CC1=CC=C(O)C=C1)C(NC(CCC(O)=O)C(NC(CC(N)=O)C(NC(CCC1=CNC2=C1C=CC=C2)C(NC(CC(C)C)C(NC(CCC(O)=O)C(NC(CCC(O)=O)C(NC(CCC(O)=O)C(NC(CO)C(NC(CCCCN)C(NC(CCCCN)C(NC(CS)C(NC(CC(C)C)C(NC([H])C(NC(C(C)C)C(NC(CC1=CNC=N1)C(NC(CC(C)C)C(NC(CCC(O)=O)C(NC(C(C)([H])O)C(NC([H])C(NC(CC1=CC=CC=C1)C(NC(CC1=CNC=N1)C(NC(CCCCN)C(NC(CCC1=CNC2=C1C=CC=C2)C(NC(CCC(O)=O)C(NC(CC(N)=O)C(NC(CC1=CC=CC=C1)C(NC(CC1=CC=C(O)C=C1)C(NC(CS)C(NC(CCC(O)=O)C(NC(CCC(N)=O)C(NC(CCC(N)=O)C(NC(CC(O)=O)C(NC(C2CCCN2)C(NC(CC1=CC=CC=C1)C(NC(C(C)C)C(NC(CS)C(NC(CCC(O)=O)C(NC(C)C(NC(CC(O)=O)C(NC(CS)C(NC(C2CCCN2)C(NC(CO)C(NC(CC(O)=O)C(NC(CCC1=CNC2=C1C=CC=C2)C(NC(CO)C(NC(CO)C(NC(CC1=CC=C(O)C=C1)C(NC(CCC(O)=O)C(NC([H])C(NC(CC1=CNC=N1)C(NC(CS)C(NC(CC1=CC=C(O)C=C1)C(NC(CCCCN)C(NC(C2CCCN2)C(NC(CC1=CC=CC=C1)C(NC(CC(N)=O)C(NC(CCC(O)=O)C(NC(C2CCCN2)C(NC(CCCCN)C(NC(CC(N)=O)C(NC(CCC1=CNC2=C1C=CC=C2)C(NC(C)C(NC(CC(O)=O)C(NC(C)C(NC(CCC(O)=O)C(NC(CC(N)=O)C(NC(CC1=CC=CC=C1)C(NC(CS)C(NC(C(C)([H])O)C(NC(CCCCN)C(NC(CCC(N)=O)C(NC(CC1=CNC=N1)C(NC(C(C)([H])O)C(NC([H])C(NC([H])C(NC(CC1=CNC=N1)C(NC(CC(C)C)C(NC(C(C)C)C(NC(CO)C(NC(CC1=CC=CC=C1)C(NC(CCC(N)=O)C(NC(CO)C(NC(C(C)([H])O)C(NC(CCC(O)=O)C(NC(CCC(O)=O)C(NC(C)C(NC(CC(O)=O)C(NC(CC1=CC=CC=C1)C(NC(C(C)C)C(NC(C(C)C)C(NC(CCCCN)C(NC(CC(C)C)C(NC(C)C(NC(CC1=CC=CC=C1)C(NC(CCC(N)=O)C(NC(C(C)([H])O)C(NC(CC1=CC=CC=C1)C(NC(CC(O)=O)C(NC(CC1=CC=C(O)C=C1)C(NC([H])C(NC(CC(C)C)C(NC(CC1=CC=CC=C1)C(NC(CCC1=CNC2=C1C=CC=C2)C(NC(CC1=CC=CC=C1)C(NC([H])C(NC(CC(C)C)C(NC(CO)C(NC(CCCCN)C(NC(CC(C)C)C(NC(CCC1=CNC2=C1C=CC=C2)C(NC(CC(N)=O)C(NC(CCC(N)=O)C(NC(CS)C(NC(CC(N)=O)C(NC(CCC1=CNC2=C1C=CC=C2)C(NC(CCC(N)=O)C(NC(CCC1=CNC2=C1C=CC=C2)C(NC(CO)C(NC(CC(N)=O)C(NC(C)C(NC(C)C(NC(CCSC)C(NC(CC(C)C)C(NC(CCCCN)C(NC(CC1=CC=C(O)C=C1)C(NC(C(C)([H])O)C(NC(CC(O)=O)C(NC(CCC1=CNC2=C1C=CC=C2)C(NC(C)C(NC(CCC(O)=O)C(NC(CCC(O)=O)C(NC(CO)C(NC(CC1=CC=C(O)C=C1)C(NC(CS)C(NC(C(C)C)C(NC(CC1=CC=C(O)C=C1)C(NC(CC1=CC=CC=C1)C(NC(CCCCN)C(NC(CO)C(NC(C(C)([H])O)C(NC(CC(N)=O)C(NC(CC(N)=O)C(NC(CCCCN)C(NC(CCC1=CNC2=C1C=CC=C2)C(NC(CCCCNC(N)=N)C(NC(CO)C(NC(CC(C)C)C(NC(C(C)([H])O)C(NC(CS)C(NC(CCCCNC(N)=N)C(NC(CCSC)C(NC(CC(C)C)C(NC(C)C(NC(CC(N)=O)C(NC(CC1=CC=CC=C1)C(NC(C(C)C)C(NC(CS)C(NC(CCC(O)=O)C(NC(CC1=CC=CC=C1)C(NC(CCC(N)=O)C(NC(C)C(NCC(O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O',
            'alpha cobrotoxin': 'NC(CC(C)C)C(NC(CCC(O)=O)C(NC(CS)C(NC(CC1=CNC=N1)C(NC(CC(N)=O)C(NC(CCC(N)=O)C(NC(CCC(N)=O)C(NC(CO)C(NC(CO)C(NC(CCC(N)=O)C(NC(C(C)([H])O)C(NC(C2CCCN2)C(NC(C(C)([H])O)C(NC(C(C)([H])O)C(NC(C(C)([H])O)C(NC([H])C(NC(CS)C(NC(CO)C(NC([H])C(NC([H])C(NC(CCC(O)=O)C(NC(C(C)([H])O)C(NC(CC(N)=O)C(NC(CS)C(NC(CC1=CC=C(O)C=C1)C(NC(CCCCN)C(NC(CCCCN)C(NC(CCCCNC(N)=N)C(NC(CCC1=CNC2=C1C=CC=C2)C(NC(CCCCNC(N)=N)C(NC(CC(O)=O)C(NC(CC1=CNC=N1)C(NC(CCCCNC(N)=N)C(NC([H])C(NC(CC1=CC=C(O)C=C1)C(NC(CCCCNC(N)=N)C(NC(C(C)([H])O)C(NC(CCC(O)=O)C(NC(CCCCNC(N)=N)C(NC([H])C(NC(CS)C(NC([H])C(NC(CS)C(NC(C2CCCN2)C(NC(CO)C(NC(C(C)C)C(NC(CCCCN)C(NC(CC(N)=O)C(NC([H])C(NC(C(CC)([H])C)C(NC(CCC(O)=O)C(NC(C(CC)([H])C)C(NC(CC(N)=O)C(NC(CS)C(NC(CS)C(NC(C(C)([H])O)C(NC(C(C)([H])O)C(NC(CC(O)=O)C(NC(CCCCNC(N)=N)C(NC(CS)C(NC(CC(N)=O)C(NC(CC(N)=O)C(NCC(O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O)=O',
        }

        return smiles

    @staticmethod
    def get_smarts():

        smarts = {
            'ziconotide': '[#6]-[#6]1-[#6](=[#8])-[#7]-[#6](-[#6](=[#8])-[#7]-[#6]2-[#6]-[#16]-[#16]-[#6]-[#6]3-[#6](=[#8])-[#7]-[#6](-[#6](=[#8])-[#7]-[#6](-[#6](=[#8])-[#7]-[#6]-[#6](=[#8])-[#7]-[#6](-[#6](=[#8])-[#7]-[#6](-[#6]-[#16]-[#16]-[#6]-[#6](-[#6](=[#8])-[#7]-[#6](-[#6]-[#16]-[#16]-[#6]-[#6](-[#6](=[#8])-[#7]-[#6](-[#6](=[#8])-[#7]-[#6]-[#6](=[#8])-[#7]-[#6](-[#6](=[#8])-[#7]-[#6]-[#6](=[#8])-[#7]-1)-[#6]-[#6]-[#6]-[#6]-[#7])-[#6]-[#6]-[#6]-[#6]-[#7])-[#7])-[#6](=[#8])-[#7]-[#6](-[#6](=[#8])-[#7]-[#6]-[#6](=[#8])-[#7]-[#6](-[#6](=[#8])-[#7]-3)-[#6]-[#8])-[#6](-[#6])-[#8])-[#7]-[#6](=[#8])-[#6](-[#7]-[#6](=[#8])-[#6](-[#7]-[#6](=[#8])-[#6](-[#7]-[#6](=[#8])-[#6](-[#7]-[#6](=[#8])-[#6](-[#7]-[#6](=[#8])-[#6](-[#7]-[#6]-2=[#8])-[#6]-[#8])-[#6]-[#6]-[#6]-[#7]-[#6](=[#7])-[#7])-[#6]-[#6](-[#6])-[#6])-[#6]-[#6]-[#16]-[#6])-[#6]-[#6]1:[#6]:[#6]:[#6](:[#6]:[#6]:1)-[#8])-[#6]-[#6](=[#8])-[#8])-[#6](=[#8])-[#7])-[#6]-[#6]-[#6]-[#6]-[#7])-[#6]-[#8])-[#6]-[#6]-[#6]-[#7]-[#6](=[#7])-[#7])-[#6]-[#6]-[#6]-[#6]-[#7]',
            'captopril': '[#6]-[#6](-[#6]-[#16])-[#6](=[#8])-[#7]1-[#6]-[#6]-[#6]-[#6]-1-[#6](=[#8])-[#8]',
            'tirofiban': '[#6]-[#6]-[#6]-[#6]-[#16](=[#8])(=[#8])-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](:[#6]:[#6]:1)-[#8]-[#6]-[#6]-[#6]-[#6]-[#6]1-[#6]-[#6]-[#7]-[#6]-[#6]-1)-[#6](=[#8])-[#8]',
            'eptifibatide': '[#6]1-[#6]-[#6]2-[#6](=[#8])-[#7]-[#6](-[#6]-[#16]-[#16]-[#6]-[#6]-[#6](=[#8])-[#7]-[#6](-[#6](=[#8])-[#7]-[#6]-[#6](=[#8])-[#7]-[#6](-[#6](=[#8])-[#7]-[#6](-[#6](=[#8])-[#7]-2-[#6]-1)-[#6]-[#6]1:[#6]:[#7H]:[#6]2:[#6]:[#6]:[#6]:[#6]:[#6]:1:2)-[#6]-[#6](=[#8])-[#8])-[#6]-[#6]-[#6]-[#6]-[#7]=[#6](-[#7])-[#7])-[#6](=[#8])-[#7]',
            'batroxobin': '[#7]-[#6](-[#6]-[#6]-[#16]-[#6])-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7]-[#6](-[#7])=[#7])-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](-[#8]):[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#7H]:[#6]:[#7]:1)-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#16]-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](-[#8]):[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](-[#8]):[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7]-[#6](-[#7])=[#7])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](-[#8]):[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#6]-[#16]-[#6])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]1:[#6]:[#7H]:[#6]2:[#6]:1:[#6]:[#6]:[#6]:[#6]:2)-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#7H]:[#6]:[#7]:1)-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7]-[#6](-[#7])=[#7])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7]-[#6](-[#7])=[#7])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#16]-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7]-[#6](-[#7])=[#7])-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#7H]:[#6]:[#7]:1)-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#7H]:[#6]:[#7]:1)-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](-[#8]):[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7]-[#6](-[#7])=[#7])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](-[#8]):[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#16]-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7]-[#6](-[#7])=[#7])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7]-[#6](-[#7])=[#7])-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#7H]:[#6]:[#7]:1)-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7]-[#6](-[#7])=[#7])-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#16]-[#6])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]1:[#6]:[#7H]:[#6]2:[#6]:1:[#6]:[#6]:[#6]:[#6]:2)-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](-[#8]):[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#7H]:[#6]:[#7]:1)-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7]-[#6](-[#7])=[#7])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](-[#8]):[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]1:[#6]:[#7H]:[#6]2:[#6]:1:[#6]:[#6]:[#6]:[#6]:2)-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7]-[#6](-[#7])=[#7])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](-[#8]):[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](-[#8]):[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]1:[#6]:[#7H]:[#6]2:[#6]:1:[#6]:[#6]:[#6]:[#6]:2)-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6]-[#6](-[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8]',
            'hemocoagulase': '[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]1:[#6]:[#7H]:[#6]2:[#6]:1:[#6]:[#6]:[#6]:[#6]:2)-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](-[#8]):[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#7H]:[#6]:[#7]:1)-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](-[#8]):[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]1:[#6]:[#7H]:[#6]2:[#6]:1:[#6]:[#6]:[#6]:[#6]:2)-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#7H]:[#6]:[#7]:1)-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#7H]:[#6]:[#7]:1)-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]1:[#6]:[#7H]:[#6]2:[#6]:1:[#6]:[#6]:[#6]:[#6]:2)-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7]-[#6](-[#7])=[#7])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]1:[#6]:[#7H]:[#6]2:[#6]:1:[#6]:[#6]:[#6]:[#6]:2)-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](-[#8]):[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]1:[#6]:[#7H]:[#6]2:[#6]:1:[#6]:[#6]:[#6]:[#6]:2)-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#7H]:[#6]:[#7]:1)-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#7H]:[#6]:[#7]:1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]1:[#6]:[#7H]:[#6]2:[#6]:1:[#6]:[#6]:[#6]:[#6]:2)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](-[#8]):[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]1:[#6]:[#7H]:[#6]2:[#6]:1:[#6]:[#6]:[#6]:[#6]:2)-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](-[#8]):[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#7H]:[#6]:[#7]:1)-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](-[#8]):[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]1:[#6]:[#7H]:[#6]2:[#6]:1:[#6]:[#6]:[#6]:[#6]:2)-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#7H]:[#6]:[#7]:1)-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#7H]:[#6]:[#7]:1)-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](-[#8]):[#6]:[#6]:1)-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]1:[#6]:[#7H]:[#6]2:[#6]:1:[#6]:[#6]:[#6]:[#6]:2)-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]1:[#6]:[#7H]:[#6]2:[#6]:1:[#6]:[#6]:[#6]:[#6]:2)-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]1:[#6]:[#7H]:[#6]2:[#6]:1:[#6]:[#6]:[#6]:[#6]:2)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]1:[#6]:[#7H]:[#6]2:[#6]:1:[#6]:[#6]:[#6]:[#6]:2)-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#16]-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](-[#8]):[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]1:[#6]:[#7H]:[#6]2:[#6]:1:[#6]:[#6]:[#6]:[#6]:2)-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](-[#8]):[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](-[#8]):[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]1:[#6]:[#7H]:[#6]2:[#6]:1:[#6]:[#6]:[#6]:[#6]:2)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7]-[#6](-[#7])=[#7])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7]-[#6](-[#7])=[#7])-[#6](-[#7]-[#6](-[#6]-[#6]-[#16]-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6])-[#6](-[#7]-[#6]-[#6](-[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8]',
            'alpha cobrotoxin': '[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#7H]:[#6]:[#7]:1)-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](-[#8]):[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7]-[#6](-[#7])=[#7])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]1:[#6]:[#7H]:[#6]2:[#6]:1:[#6]:[#6]:[#6]:[#6]:2)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7]-[#6](-[#7])=[#7])-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#7H]:[#6]:[#7]:1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7]-[#6](-[#7])=[#7])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#6]1:[#6]:[#6]:[#6](-[#8]):[#6]:[#6]:1)-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7]-[#6](-[#7])=[#7])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7]-[#6](-[#7])=[#7])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]1-[#6]-[#6]-[#6]-[#7]-1)-[#6](-[#7]-[#6](-[#6]-[#8])-[#6](-[#7]-[#6](-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6H](-[#6]-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6H](-[#6])-[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#8])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7]-[#6](-[#7])=[#7])-[#6](-[#7]-[#6](-[#6]-[#16])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6]-[#6](-[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8])=[#8]',
        }

        return smarts