#!/usr/bin/env python3
#
# GlobalChem - LantiPeptides
#
# --------------------------

class LanthiPeptides(object):

    def __init__(self):

        self.name = 'lanthipeptides'

    @staticmethod
    def get_smiles():

        smiles = {
            'nisin': 'CCC(C)C1C(=NC(=C)C(=NC(C(=NC(CSCC(C(=N1)O)N=C(C(=CC)N=C(C(C(C)CC)N)O)O)C(=NC2C(SCC(N=C(CN=C(C3CCCN3C2=O)O)O)C(=NC(CCCCN)C(=NC4C(SCC(N=C(CN=C(C(N=C(C(N=C(C(N=C(CN=C4O)O)C)O)CC(C)C)O)CCSC)O)O)C(=NC(CC(=N)O)C(=NC(CCSC)C(=NC(CCCCN)C(=NC5C(SCC6C(=NC(C(=NC(CSC(C(C(=N6)O)N=C(C(N=C5O)C)O)C)C(=NC(CO)C(=NC(C(C)CC)C(=NC(CC7=CN=CN7)C(=NC(C(C)C)C(=NC(=C)C(=NC(CCCCN)C(=O)O)O)O)O)O)O)O)O)CC8=CN=CN8)O)C)O)O)O)O)C)O)O)C)O)O)CC(C)C)O)O',
            'mutacin 1140': r'NC(C(NC(C(NC(C(NC(C(NC(C(NC1CC(C)C)=O)=C)=O)CCC2=CNC3=C2C=CC=C3)=O)CSCC(C(NC(C(NC(C(NC4[H])=O)C5CCCN5)=O)CCSCC(C(NC(C(NC(C(N/C(C(NC(C(NC(C(NC(C(NC6CC(N)=O)=O)CC7=CC=CC=C7)=O)CSC8C(C(NC(C(NC(C(NCC(O)=O)=O)CS/C=C/N8)=O)CC9=CC=C(C=C9)O)=O)NC6=O)=O)[H])=O)=C/C)=O)CCCCNC(N)=N)=O)C)=O)NC4=O)=O)NC1=O)=O)CCCCN)=O)CC%10=CC=CC=C%10',
        }

        return smiles

    @staticmethod
    def get_smarts():

        smarts = {
            'nisin': '[#6]-[#6]-[#6](-[#6])-[#6]1-[#6](=[#7]-[#6](=[#6])-[#6](=[#7]-[#6](-[#6](=[#7]-[#6](-[#6]-[#16]-[#6]-[#6](-[#6](=[#7]-1)-[#8])-[#7]=[#6](-[#6](=[#6]-[#6])-[#7]=[#6](-[#6](-[#6](-[#6])-[#6]-[#6])-[#7])-[#8])-[#8])-[#6](=[#7]-[#6]1-[#6](-[#16]-[#6]-[#6](-[#7]=[#6](-[#6]-[#7]=[#6](-[#6]2-[#6]-[#6]-[#6]-[#7]-2-[#6]-1=[#8])-[#8])-[#8])-[#6](=[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](=[#7]-[#6]1-[#6](-[#16]-[#6]-[#6](-[#7]=[#6](-[#6]-[#7]=[#6](-[#6](-[#7]=[#6](-[#6](-[#7]=[#6](-[#6](-[#7]=[#6](-[#6]-[#7]=[#6]-1-[#8])-[#8])-[#6])-[#8])-[#6]-[#6](-[#6])-[#6])-[#8])-[#6]-[#6]-[#16]-[#6])-[#8])-[#8])-[#6](=[#7]-[#6](-[#6]-[#6](=[#7])-[#8])-[#6](=[#7]-[#6](-[#6]-[#6]-[#16]-[#6])-[#6](=[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](=[#7]-[#6]1-[#6](-[#16]-[#6]-[#6]2-[#6](=[#7]-[#6](-[#6](=[#7]-[#6](-[#6]-[#16]-[#6](-[#6](-[#6](=[#7]-2)-[#8])-[#7]=[#6](-[#6](-[#7]=[#6]-1-[#8])-[#6])-[#8])-[#6])-[#6](=[#7]-[#6](-[#6]-[#8])-[#6](=[#7]-[#6](-[#6](-[#6])-[#6]-[#6])-[#6](=[#7]-[#6](-[#6]-[#6]1:[#6]:[#7]:[#6]:[#7H]:1)-[#6](=[#7]-[#6](-[#6](-[#6])-[#6])-[#6](=[#7]-[#6](=[#6])-[#6](=[#7]-[#6](-[#6]-[#6]-[#6]-[#6]-[#7])-[#6](=[#8])-[#8])-[#8])-[#8])-[#8])-[#8])-[#8])-[#8])-[#8])-[#6]-[#6]1:[#6]:[#7]:[#6]:[#7H]:1)-[#8])-[#6])-[#8])-[#8])-[#8])-[#8])-[#6])-[#8])-[#8])-[#6])-[#8])-[#8])-[#6]-[#6](-[#6])-[#6])-[#8])-[#8]',
            'mutacin 1140': '[#7]-[#6](-[#6](-[#7]-[#6](-[#6](-[#7]-[#6]1-[#6](-[#7]-[#6](-[#6](-[#7]-[#6](-[#6](-[#7]-[#6](-[#6]-[#6](-[#6])-[#6])-[#6](-[#7]-[#6](-[#6]-[#16]-[#6]-1)-[#6](-[#7]-[#6]1-[#6](-[#7]-[#6](-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6](-[#6]-[#16]-[#6]-[#6]-1)-[#6](-[#7]-[#6](-[#6](-[#7]-[#6](-[#6](-[#7]/[#6](-[#6](-[#7]-[#6H]-[#6](-[#7]-[#6]1-[#6](-[#7]-[#6](-[#6](-[#7]-[#6](-[#6]-[#6](-[#7])=[#8])-[#6](-[#7]-[#6]2-[#6](-[#16]-[#6]-1)-[#7]/[#6]=[#6]/[#16]-[#6]-[#6](-[#7]-[#6](-[#6](-[#7]-[#6]-2=[#8])-[#6]-[#6]1:[#6]:[#6]:[#6](:[#6]:[#6]:1)-[#8])=[#8])-[#6](-[#7]-[#6]-[#6](-[#8])=[#8])=[#8])=[#8])=[#8])-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1)=[#8])=[#8])=[#8])=[#6]/[#6])=[#8])-[#6]-[#6]-[#6]-[#6]-[#7]-[#6](-[#7])=[#7])=[#8])-[#6])=[#8])=[#8])=[#8])-[#6]1-[#6]-[#6]-[#6]-[#7]-1)=[#8])=[#8])=[#8])=[#8])=[#6])=[#8])-[#6]-[#6]-[#6]1:[#6]:[#7H]:[#6]2:[#6]:1:[#6]:[#6]:[#6]:[#6]:2)=[#8])=[#8])-[#6]-[#6]-[#6]-[#6]-[#7])=[#8])-[#6]-[#6]1:[#6]:[#6]:[#6]:[#6]:[#6]:1',
        }

        return smarts